dbXML API

## com.dbxml.db.common.query
Class QueryBase

    java.lang.Object
      com.dbxml.db.common.query.QueryBase

All Implemented Interfaces:
  Query

Direct Known Subclasses:
  FullTextQuery

public abstract class QueryBase
extends java.lang.Object
implements Query

QueryBase

Field Summary

Fields inherited from interface com.dbxml.db.core.query.Query
`NSURI, PREFIX`

Constructor Summary
`QueryBase(Collection context, java.lang.String query, NamespaceMap nsMap, Key[] keys)`

Method Summary
`abstract void` `compileQuery()`
`Key[]` `getKeySet()` getKeySet returns the initial set of Keys for this Query.
`NamespaceMap` `getNamespaceMap()` getNamespaceMap returns the Map for prefixed namespace resolution in relation to this Query.
`Collection` `getQueryContext()` getQueryContext returns the Collection context for this query.
`java.lang.String` `getQueryString()` getQueryString returns the String that was used to create the Query instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.db.core.query.Query
`execute, getQueryStyle`

Constructor Detail

### QueryBase

    public QueryBase(Collection context,
                     java.lang.String query,
                     NamespaceMap nsMap,
                     Key[] keys)
              throws QueryException

Method Detail

### getQueryString

    public java.lang.String getQueryString()

  Description copied from interface: `Query`
  getQueryString returns the String that was used to create the Query instance.

  Specified by:
    `getQueryString` in interface `Query`
  Returns:
    The Query String

### getQueryContext

    public Collection getQueryContext()

  Description copied from interface: `Query`
  getQueryContext returns the Collection context for this query.

  Specified by:
    `getQueryContext` in interface `Query`
  Returns:
    The Collection context

### getNamespaceMap

    public NamespaceMap getNamespaceMap()

  Description copied from interface: `Query`
  getNamespaceMap returns the Map for prefixed namespace resolution in relation to this Query.

  Specified by:
    `getNamespaceMap` in interface `Query`
  Returns:
    The namespace Map (if any)

### getKeySet

    public Key[] getKeySet()

  Description copied from interface: `Query`
  getKeySet returns the initial set of Keys for this Query.

  Specified by:
    `getKeySet` in interface `Query`
  Returns:
    The initial Key set (if any)

### compileQuery

    public abstract void compileQuery()
                               throws CompilationException

  Throws:
    `CompilationException`

dbXML API

Copyright (c) 2004 The dbXML Group